.test{
	color:black !important;
	background-color:red !important;
}
.img-container img{
  display:block;
  width:100%;
  height:auto;
  transition-behavior:normal, normal;
  transition-duration:0.4s, 0.6s;
  transition-timing-function:ease, ease;
  transition-delay:0s, 0s;
  transition-property:opacity, transform;
  transform:scale(1);
}

.img-container:hover img{
  opacity:0.6;
  transform:scale(1.05);
}

.overlay-btn{
  position:absolute;
  top:50%;
  left:50%;
  transform:translate(-50%, -40%);
  background-color:rgb(255, 187, 2);
  color:rgb(0, 0, 0);
  padding-top:10px;
  padding-right:25px;
  padding-bottom:10px;
  padding-left:25px;
  border-top-left-radius:25px;
  border-top-right-radius:25px;
  border-bottom-right-radius:25px;
  border-bottom-left-radius:25px;
  text-decoration-line:none;
  text-decoration-thickness:initial;
  text-decoration-style:initial;
  text-decoration-color:initial;
  font-weight:bold;
  opacity:0;
  transition-behavior:normal, normal, normal, normal;
  transition-duration:0.4s, 0.3s, 0.3s, 0.4s;
  transition-timing-function:ease, ease, ease, ease;
  transition-delay:0s, 0s, 0s, 0s;
  transition-property:opacity, background-color, color, transform;
  box-shadow:rgba(0, 0, 0, 0.3) 0px 4px 10px;
}

.img-container:hover .overlay-btn{
  opacity:1;
  transform:translate(-50%, -50%);
}

.overlay-btn:hover{
  background-color:rgb(244, 224, 111);
  color:rgb(0, 0, 0);
}
